
From: Zachary Amsden <zach@vmware.com>

Chuck Ebbert noticed that the desc_empty macro is incorrect.  Fix it.

Signed-off-by: Zachary Amsden <zach@vmware.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-i386/desc.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-i386/desc.h~i386-fix-desc-empty include/asm-i386/desc.h
--- devel/include/asm-i386/desc.h~i386-fix-desc-empty	2005-08-17 21:47:04.000000000 -0700
+++ devel-akpm/include/asm-i386/desc.h	2005-08-17 21:47:04.000000000 -0700
@@ -18,7 +18,7 @@
 #include <asm/mmu.h>
 
 #define desc_empty(desc) \
-		(!((desc)->a + (desc)->b))
+		(!((desc)->a | (desc)->b))
 
 #define desc_equal(desc1, desc2) \
 		(((desc1)->a == (desc2)->a) && ((desc1)->b == (desc2)->b))
_
